Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.status
Class StatusConsoleListener

    java.lang.Object
      org.apache.logging.log4j.status.StatusConsoleListener

All Implemented Interfaces:
  Closeable, EventListener, StatusListener

    public class StatusConsoleListener

extends Object
implements StatusListener

StatusListener that writes to the Console.

Constructor Summary
`StatusConsoleListener(Level level)` Creates the StatusConsoleListener using the supplied Level.
`StatusConsoleListener(Level level, PrintStream stream)` Creates the StatusConsoleListener using the supplied Level.

Method Summary
`void` | `close()`
`Level` | `getStatusLevel()` Return the Log Level for which the Listener should receive events.
`void` | `log(StatusData data)` Writes status messages to the console.
`void` | `setFilters(String... filters)` Adds package name filters to exclude.
`void` | `setLevel(Level level)` Sets the level to a new value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatusConsoleListener

    public StatusConsoleListener(Level level)

  Creates the StatusConsoleListener using the supplied Level.

  Parameters:
    `level` - The Level of status messages that should appear on the console.

### StatusConsoleListener

    public StatusConsoleListener(Level level,
                                 PrintStream stream)

  Creates the StatusConsoleListener using the supplied Level. Make sure not to use a logger stream of some sort to avoid creating an infinite loop of indirection!

  Parameters:
    `level` - The Level of status messages that should appear on the console.
    `stream` - The PrintStream to write to.
  Throws:
    `IllegalArgumentException` - if the PrintStream argument is `null`.

Method Detail

### setLevel

    public void setLevel(Level level)

  Sets the level to a new value.

  Parameters:
    `level` - The new Level.

### getStatusLevel

    public Level getStatusLevel()

  Return the Log Level for which the Listener should receive events.

  Specified by:
    `getStatusLevel` in interface `StatusListener`
  Returns:
    the Log Level.

### log

    public void log(StatusData data)

  Writes status messages to the console.

  Specified by:
    `log` in interface `StatusListener`
  Parameters:
    `data` - The StatusData.

### setFilters

    public void setFilters(String... filters)

  Adds package name filters to exclude.

  Parameters:
    `filters` - An array of package names to exclude.

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.